Results 1 to 5 of 5

Thread: Teamviewer 12.0.x on Ubuntu Gnome 17.04

  1. #1
    Join Date
    Oct 2007
    Beans
    10

    Teamviewer 12.0.x on Ubuntu Gnome 17.04

    Hi, I cannot install teamviewer 12.0.x on Ubuntu Gnome 17.04 (not upgrading, clean install). I wanted to use gdebi to install it like in another versions and dependences on libc6:i386 cannot allowed to install that. When i want to install it i get this messages:

    Code:
    sudo apt install -y libc6:i386
    Reading package lists... Done
    Building dependency tree       
    Reading state information... Done
    Some packages could not be installed. This may mean that you have
    requested an impossible situation or if you are using the unstable
    distribution that some required packages have not yet been created
    or been moved out of Incoming.
    The following information may help to resolve the situation:
    
    The following packages have unmet dependencies:
     cpu-checker : Depends: msr-tools but it is not going to be installed
     libc6 : Breaks: libc6:i386 (!= 2.24-9ubuntu2) but 2.24-7ubuntu2 is to be installed
     libc6:i386 : Depends: libgcc1:i386 but it is not going to be installed
                  Breaks: libc6 (!= 2.24-7ubuntu2) but 2.24-9ubuntu2 is to be installed
    E: Error, pkgProblemResolver::Resolve generated breaks, this may be caused by held packages.
    Last edited by macu; April 14th, 2017 at 02:47 PM. Reason: [Solved]

  2. #2
    Join Date
    May 2008
    Location
    United Kingdom
    Beans
    4,438
    Distro
    Lubuntu 16.04 Xenial Xerus

    Re: Teamviewer 12.0.x on Ubuntu Gnome 17.04

    Do you have 32-bit or 64-bit?

    I downloaded version 12.0.76279 onto a reasonably fresh 17.04 (64-bit). Right-click > install (I used Gdebi).

    It automatically installed 32 dependencies and completed successfully, and I was able to run TeamViewer without a hitch. I didn't have to install anything extra.

    Do you want to try doing what I did?
    Full system encryption with dual-boot (beta) —— Full Circle Magazine —— Problems with WINE?
    In my day, we had the outdoors in which to run, play, and socialise. Now people use computers for that.

  3. #3
    Join Date
    Oct 2007
    Beans
    10

    Re: Teamviewer 12.0.x on Ubuntu Gnome 17.04

    Hi, of course, I have 64bit Ubuntu Gnome 17.04....i have downloaded teamviewer_12.0.76279_i386.deb (from teamviewer web site - there is written, that it is multirich...so I belive that what there is written).
    Do you have Ubuntu or Ubuntu Gnome? Because it seams it is problem with Ubuntu Gnome dependences, i looked into synaptic and i can see, i have libc6 installed....but when i want to install teamviewer (or skype 4.3.x) from Canonical partner repository, it writes missing dependences libc6:i386.

    edit: so thx for "kick me"....I just have reinstalled libc6 in synaptic and voila...it works...I have TV installed and it's working correctly... thx
    Last edited by macu; April 14th, 2017 at 02:46 PM.

  4. #4
    Join Date
    May 2008
    Location
    United Kingdom
    Beans
    4,438
    Distro
    Lubuntu 16.04 Xenial Xerus

    Re: Teamviewer 12.0.x on Ubuntu Gnome 17.04

    Cool, glad that you got it working
    Full system encryption with dual-boot (beta) —— Full Circle Magazine —— Problems with WINE?
    In my day, we had the outdoors in which to run, play, and socialise. Now people use computers for that.

  5. #5
    Join Date
    Mar 2016
    Location
    Norway
    Beans
    220
    Distro
    Ubuntu Development Release

    Re: Teamviewer 12.0.x on Ubuntu Gnome 17.04

    I was going tu suggest a "sudo apt -f install"
    10+ years ago I ran Gentoo, safe to say I was unemployed an had no wife/children...

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •